# Copyright 2014, 2015 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

cat <<EOF

form.categories {
  display: block;
  border: solid 1px;
  border-radius: 4px 4px 0 0;
  margin: .5em 2em .25em 2em;
  padding: 0 2ex .5em 2ex;
  background: #EFF;
}

form.categories h1 {
  display: block;
  font-weight: bold;
  font-size: 1.25em;
  border-style: none none solid none;
  border-radius: 4px 4px 0 0;
  border-width: 1px;
  margin: 0 -1.625ex .5em -1.625ex;
  padding: .125em 1ex;
  background: #EEF;
}

form.categories ul { margin: 0; padding: 0; }
form.categories ul li {
  display: inline-block;
  margin: 0 .25ex;
  padding: .125em .25ex .125em 1ex;
  border: 1px solid black;
  background-color: #EEF;
}
form.categories ul li button {
  margin: 0 0 0 1ex;
  background-color: #FCC;
  border: 1px solid black;
  min-width: 3ex;
  text-align: center;
}
form.categories ul li:last-of-type { padding: .125em .25ex .125em .25ex; }
form.categories ul li:last-of-type button { background-color: #FFF; }

form.namelist {
  display: block;
  margin: 1em 2em;
  padding: 0;
}
form.namelist > fieldset {
  display: block;
  border: solid 1px;
  border-radius: 4px 4px 0 0;
  margin: 0; padding: .25em 2ex;
  background: #EFF;
  text-align: right;
}
form.namelist > fieldset:last-of-type {
  border-radius: 0 0 4px 4px;
}
ul.namelist { margin: 0; padding: 0;}
ul.namelist > li {
  display: block;
  border: solid 1px;
  margin: -1px 0;
  background: #FFF;
}
ul.namelist > li:nth-of-type(2n){ background: #EEE;}

ul.namelist h2 {
  font-size: 1em;
  display: inline-block;
  margin: 0;
  padding: 0 1ex;
  min-width: 30ex;
}
ul.namelist ul { margin: 0; padding: 0; display: inline-block;}
ul.namelist ul li {
  display: inline-block;
  margin: 0 1ex 0 0;
}
EOF

# vi:set filetype=css:
